patch
https://organization/v1/users/patients/
Update Patient
The latest values and timestamps of each bio-marker measurement will added to the response
Performs partial update, if a field is specified in the request it will be updated
(*)This parameter is mandatory only if its optional parent attribute is defined. Click here for more information.
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| _name | object | false | ||
| _name.firstName | string | true(*) | A person's first name | John |
| _name.lastName | string | true(*) | A person's last name | Smith |
| _description | string | false | A description, can be up to 5000 characters long | Lorem Ipsum |
| _email | string | false | An email address in the RFC-5322 specification | [email protected] |
| _phone | string | false | An E.164 formatted phone number | +12345678901 |
| _locale | string | false | Locale in the following format: {language-ISO639}-{countryCode-ISO3166} lowercase. | en-us |
| _gender | string | false | A persons gender Values:MALE,FEMALE,UNDISCLOSED | FEMALE |
| _dateOfBirth | string | false | A UTC date in the ISO-8601 format | 2007-12-20 |
| _address | object | false | ||
| _address.countryCode | string | true(*) | A 2-letter country code defined in ISO-3166 | US |
| _address.state | string | false | A state | Massachusetts |
| _address.city | string | false | A city | Boston |
| _address.zipCode | string | false | A zipcode | 02101 |
| _address.address1 | string | false | An address | 11 Main St. |
| _address.address2 | string | false | An address's specifics | Entry B, Apartment 1 |
| _mfa | object | false | ||
| _mfa.enabled | boolean | false | Is mfa enabled in login | |
| _mfa.expirationInMinutes | integer | false | Mfa expiration in minutes | 5 |
| _additionalPhone | string | false | An E.164 formatted phone number | +12345678901 |
| _nationalId | string | false | A person's national ID | 123456789 |
| _canLogin | boolean | false | Determine whether a patient has the ability to login to the system or not | |
| _ownerOrganization | object | false | ||
| _ownerOrganization.id | string | true(*) | ||
| _caregiver | object | false | ||
| _caregiver.id | string | true(*) | ||
| Path Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| id | string | true | Patient ID that needs to be updated | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| includeReferencers | boolean | false | Optional query parameter that controls whether the response should include referencers metadata. When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments. Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned. |
This API requires PROTECTED_API permission(s).
